Package com.salesforce.datacloud.jdbc.interceptor

# Class TokenProcessorSupplier

java.lang.Object
com.salesforce.datacloud.jdbc.interceptor.TokenProcessorSupplier

All Implemented Interfaces:
  `com.salesforce.datacloud.jdbc.interceptor.AuthorizationHeaderInterceptor.TokenSupplier`

public class TokenProcessorSupplier extends Object implements com.salesforce.datacloud.jdbc.interceptor.AuthorizationHeaderInterceptor.TokenSupplier

## Method Summary

Modifier and Type
Method
Description
`String`
`getAudience()`
`String`
`getToken()`
`static com.salesforce.datacloud.jdbc.interceptor.AuthorizationHeaderInterceptor`
`of(com.salesforce.datacloud.jdbc.auth.TokenProcessor tokenProcessor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### of

public static com.salesforce.datacloud.jdbc.interceptor.AuthorizationHeaderInterceptor of(com.salesforce.datacloud.jdbc.auth.TokenProcessor tokenProcessor)

### getToken

public String getToken()

Specified by:
  `getToken` in interface `com.salesforce.datacloud.jdbc.interceptor.AuthorizationHeaderInterceptor.TokenSupplier`

### getAudience

public String getAudience()

Specified by:
  `getAudience` in interface `com.salesforce.datacloud.jdbc.interceptor.AuthorizationHeaderInterceptor.TokenSupplier`